%define	major 1
%define libname %mklibname twitcurl %{major}
%define develname %mklibname twitcurl -d

%define rel 8

Summary:	Twitter C++ Library
Name:		twitcurl
Version:	1
Release:	%mkrel %{rel}
Group:		System/Libraries
License:	GPL
URL:		https://github.com/swatkat/twitcurl
Source0:	https://github.com/swatkat/twitcurl/archive/twitcurl-master.zip
Patch0:		twitcurl-makefile.patch
Patch1:		twitcurl-header.patch
Patch2:		twitcurl-cxxflags.patch
BuildRequires:	curl-devel

%description
twitcurl is a pure C++ library for twitter APIs. twitcurl uses cURL for handling HTTP
requests and responses. twitcurl has been tested on Microsoft Windows, Ubuntu and
Debian. In fact, it works just fine on any operating system that supports cURL.
distributed memory object caching system.

%package -n	%{libname}
Summary:	Twitter C++ Library
Group:          System/Libraries

%description -n	%{libname}
twitcurl is a pure C++ library for twitter APIs. twitcurl uses cURL for handling HTTP
requests and responses. twitcurl has been tested on Microsoft Windows, Ubuntu and
Debian. In fact, it works just fine on any operating system that supports cURL.
distributed memory object caching system.

%package -n	%{develname}
Summary:	Static library and header files for the twitcurl library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
twitcurl is a pure C++ library for twitter APIs. twitcurl uses cURL for handling HTTP
requests and responses. twitcurl has been tested on Microsoft Windows, Ubuntu and
Debian. In fact, it works just fine on any operating system that supports cURL.
distributed memory object caching system.

This package contains the static libmemcache library and its
header files.

%prep

%setup -q -n twitcurl-master
cd libtwitcurl
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p2

%build
cd libtwitcurl
%set_build_flags
%make_build

%install
cd libtwitcurl
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
# broken makefile builds everything again, so set compile flags
%set_build_flags
%make_install LIBRARY_DIR=%{_libdir}
pushd %{buildroot}%{_libdir}
ln -s lib%{name}.so.1.0 lib%{name}.so.1
ln -s lib%{name}.so.1.0 lib%{name}.so
popd
# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1-8.mga10
+ Revision: 2128220
- Rebuild for patchN deprecation

* Wed Mar 23 2022 umeabot <umeabot> 1-7.mga9
+ Revision: 1821832
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1-6.mga8
+ Revision: 1517526
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1-5.mga7
+ Revision: 1301481
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 1-4.mga7
+ Revision: 1157034
- fix debug packages

* Fri Feb 12 2016 umeabot <umeabot> 1-3.mga6
+ Revision: 959062
- Mageia 6 Mass Rebuild

* Sun Aug 02 2015 dlucio <dlucio> 1-2.mga6
+ Revision: 860497
- P1 to fix an include path

* Sat Aug 01 2015 dlucio <dlucio> 1-1.mga6
+ Revision: 860227
-P1 rediffed, fix soft links
- imported package twitcurl

